Sunday, September 5, 2010

Ruby 1.9.2

Acaba de salir Ruby 1.9.2.

Ruby 1.9.2 es compatible con 1.9.1, excepto algunos cambios:

* Muchos métodos nuevos;
* Nuevo socket API (mejor soporte para IPv6)
* Nuevos cifrados
* clase Random que soporta varios generadores de números aleatorios
* Time ha sido reimplementado. Ya no tiene problema con el año 2038.
* algunas mejoras a regexp.
* $: ya no incluye el directorio corriente.
* dl ha sido reimplementado encima de libffi.
* nueva biblioteca psych que envuelve a libyaml. Se puede usar en vez de syck.

Ruby 1.9.2 pasa 99% de RubySpec.

Ruby 1.9 tiene 4 Niveles de soporte:

* Soporte para:
* Debian GNU/Linux 5.0 on IA32.
* Buen esfuerzo para:
* mswin32, x64-mswin64, mingw32
* MacOS X 10.5 (Intel) and 10.6
* FreeBSD 6 and later (amd64, IA32)
* Solaris 10
* Symbian OS
* No verificado para:
* Otras distribuciones Linux
* Otras versiones de MacOS X.
* cygwin
* AIX 5
* Otros sistemas compatibles con POSIX
* BeOS (Haiku)
* No soporta:
* Otros sistemas



Referencia:
"Ruby 1.9.2 is released", en la pagina oficial de Ruby

1 comment:

Lito said...

Hola:
Muy interesante tu blog, inicie hace poco un blog pero en Wordpress, aunque incluye también noticias sobre linux, distribuciones y la libertad en internet.
Ojala puedas contactarme y tal vez podamos colaborar en algun aspecto de Ruby o de nuestros blogs
Gracias...
Carlitos Esquer